jdbm.recman

## Interface RecordCache

    public interface RecordCache

This interface is used for synchronization.

RecordManager ensures that the cache has the up-to-date information by way of an invalidation protocol.

### Method Summary

Methods
`void` `flush(long recid)` Notification to flush content related to a given record.
`void` `flushAll()` Notification to flush data all of records.
`void` `invalidate(long recid)` Notification to invalidate content related to given record.
`void` `invalidateAll()` Notification to invalidate content of all records.

### Method Detail

#### flush

    void flush(long recid)
               throws IOException

Notification to flush content related to a given record.

Throws:
  `IOException`

#### flushAll

    void flushAll()
                  throws IOException

Notification to flush data all of records.

Throws:
  `IOException`

#### invalidate

    void invalidate(long recid)
                    throws IOException

Notification to invalidate content related to given record.

Throws:
  `IOException`

#### invalidateAll

    void invalidateAll()
                       throws IOException

Notification to invalidate content of all records.

Throws:
  `IOException`